# dmxgc.h File Reference

`#include "gcstruct.h"`

Go to the source code of this file.

## Data Structures

struct | _dmxGCPriv

## Defines

#define | DMX_GET_GC_PRIV(_pGC) (dmxGCPrivPtr)(_pGC)->devPrivates[dmxGCPrivateIndex].ptr

## Typedefs

typedef _dmxGCPriv | dmxGCPrivRec
typedef _dmxGCPriv * | dmxGCPrivPtr

## Functions

Bool | dmxInitGC (ScreenPtr pScreen)
Bool | dmxCreateGC (GCPtr pGC)
void | dmxValidateGC (GCPtr pGC, unsigned long changes, DrawablePtr pDrawable)
void | dmxChangeGC (GCPtr pGC, unsigned long mask)
void | dmxCopyGC (GCPtr pGCSrc, unsigned long changes, GCPtr pGCDst)
void | dmxDestroyGC (GCPtr pGC)
void | dmxChangeClip (GCPtr pGC, int type, pointer pvalue, int nrects)
void | dmxDestroyClip (GCPtr pGC)
void | dmxCopyClip (GCPtr pGCDst, GCPtr pGCSrc)
void | dmxBECreateGC (ScreenPtr pScreen, GCPtr pGC)
Bool | dmxBEFreeGC (GCPtr pGC)

## Variables

int | dmxGCPrivateIndex

## Detailed Description

Interface for GC support.

See also:
  dmxgc.c

## Define Documentation

#define DMX_GET_GC_PRIV | ( | _pGC |  | ) | (dmxGCPrivPtr)(_pGC)->devPrivates[dmxGCPrivateIndex].ptr

| Get private.

## Typedef Documentation

typedef struct _dmxGCPriv * dmxGCPrivPtr

| GC private area.

typedef struct _dmxGCPriv dmxGCPrivRec

| GC private area.

## Function Documentation

void dmxBECreateGC | ( | ScreenPtr | pScreen,
|  | GCPtr | pGC
| ) |

| Create the GC on the back-end server.

Bool dmxBEFreeGC | ( | GCPtr | pGC | ) |

| Free the pGC on the back-end server.

void dmxChangeClip | ( | GCPtr | pGC,
|  | int | type,
|  | pointer | pvalue,
|  | int | nrects
| ) |

| Change the clip rects for a GC.

void dmxChangeGC | ( | GCPtr | pGC,
|  | unsigned long | mask
| ) |

| Set the values in the graphics context on the back-end server associated with pGC's screen.

void dmxCopyClip | ( | GCPtr | pGCDst,
|  | GCPtr | pGCSrc
| ) |

| Copy a GC's clip rects.

void dmxCopyGC | ( | GCPtr | pGCSrc,
|  | unsigned long | changes,
|  | GCPtr | pGCDst
| ) |

| Copy pGCSrc to pGCDst on the back-end server associated with pGCSrc's screen.

Bool dmxCreateGC | ( | GCPtr | pGC | ) |

| Create a graphics context on the back-end server associated /a pGC's screen.

void dmxDestroyClip | ( | GCPtr | pGC | ) |

| Destroy a GC's clip rects.

void dmxDestroyGC | ( | GCPtr | pGC | ) |

| Destroy the graphics context, pGC and free the corresponding GC on the back-end server.

Bool dmxInitGC | ( | ScreenPtr | pScreen | ) |

| Initialize the GC on pScreen, which currently involves allocating the GC private associated with this screen.

void dmxValidateGC | ( | GCPtr | pGC,
|  | unsigned long | changes,
|  | DrawablePtr | pDrawable
| ) |

| Validate a graphics context, pGC, locally in the DMX server and recompute the composite clip, if necessary.

## Variable Documentation

int dmxGCPrivateIndex

| Private index for GCs

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>